Mailinglist Archive: opensuse-factory (269 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190923 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Thu, 26 Sep 2019 08:01:12 +0000
  • Message-id: <156948487220.17338.6489469810301375522@go-agent-stagingbot-7>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190923

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
attica-qt5 (5.61.0 -> 5.62.0)
baloo5 (5.61.0 -> 5.62.0)
binutils
bluez-qt (5.61.0 -> 5.62.0)
breeze5-icons (5.61.0 -> 5.62.0)
ceph (14.2.2.354+g8878cf2360 -> 14.2.4.352+g2060e25d1c)
drbd
drbd-utils
expat (2.2.7 -> 2.2.8)
fcitx-qt5
frameworkintegration (5.61.0 -> 5.62.0)
gcc9 (9.2.1+r274709 -> 9.2.1+r275327)
grub2
kactivities-stats (5.61.0 -> 5.62.0)
kactivities5 (5.61.0 -> 5.62.0)
karchive (5.61.0 -> 5.62.0)
kauth (5.61.0 -> 5.62.0)
kbookmarks (5.61.0 -> 5.62.0)
kcmutils (5.61.0 -> 5.62.0)
kcodecs (5.61.0 -> 5.62.0)
kcompletion (5.61.0 -> 5.62.0)
kconfig (5.61.0 -> 5.62.0)
kconfigwidgets (5.61.0 -> 5.62.0)
kcoreaddons (5.61.0 -> 5.62.0)
kcrash (5.61.0 -> 5.62.0)
kdbusaddons (5.61.0 -> 5.62.0)
kdeclarative (5.61.0 -> 5.62.0)
kded (5.61.0 -> 5.62.0)
kdelibs4support (5.61.0 -> 5.62.0)
kdesu (5.61.0 -> 5.62.0)
kdnssd-framework (5.61.0 -> 5.62.0)
kdoctools (5.61.0 -> 5.62.0)
kemoticons (5.61.0 -> 5.62.0)
kfilemetadata5 (5.61.0 -> 5.62.0)
kglobalaccel (5.61.0 -> 5.62.0)
kguiaddons (5.61.0 -> 5.62.0)
kholidays (5.61.0 -> 5.62.0)
khtml (5.61.0 -> 5.62.0)
ki18n (5.61.0 -> 5.62.0)
kiconthemes (5.61.0 -> 5.62.0)
kidletime (5.61.0 -> 5.62.0)
kimageformats (5.61.0 -> 5.62.0)
kinit (5.61.0 -> 5.62.0)
kio (5.61.0 -> 5.62.1)
kirigami2 (5.61.0 -> 5.62.0)
kitemmodels (5.61.0 -> 5.62.0)
kitemviews (5.61.0 -> 5.62.0)
kjobwidgets (5.61.0 -> 5.62.0)
kjs (5.61.0 -> 5.62.0)
kjsembed (5.61.0 -> 5.62.0)
knewstuff (5.61.0 -> 5.62.0)
knotifications (5.61.0 -> 5.62.0)
knotifyconfig (5.61.0 -> 5.62.0)
kpackage (5.61.0 -> 5.62.0)
kparts (5.61.0 -> 5.62.0)
kpeople5 (5.61.0 -> 5.62.0)
kplotting (5.61.0 -> 5.62.0)
kpty (5.61.0 -> 5.62.0)
kross (5.61.0 -> 5.62.0)
krunner (5.61.0 -> 5.62.0)
kservice (5.61.0 -> 5.62.0)
ktexteditor (5.61.0 -> 5.62.0)
ktextwidgets (5.61.0 -> 5.62.0)
kunitconversion (5.61.0 -> 5.62.0)
kwallet (5.61.0 -> 5.62.0)
kwayland (5.61.0 -> 5.62.0)
kwidgetsaddons (5.61.0 -> 5.62.0)
kwindowsystem (5.61.0 -> 5.62.0)
kxmlgui (5.61.0 -> 5.62.0)
kxmlrpcclient5 (5.61.0 -> 5.62.0)
latex2html (2018 -> 2019.2)
libKF5ModemManagerQt (5.61.0 -> 5.62.0)
libKF5NetworkManagerQt (5.61.0 -> 5.62.0)
libblockdev
libqt5-qtmultimedia
libstorage-ng (4.2.2 -> 4.2.11)
libyui (3.6.0 -> 3.8.0)
libyui-ncurses (2.52.0 -> 2.52.1)
libyui-ncurses-pkg (2.49.0 -> 2.49.1)
libyui-qt (2.50.5 -> 2.51.0)
libyui-qt-graph (2.45.2 -> 2.45.3)
libyui-qt-pkg (2.46.6 -> 2.46.7)
lvm2 (2.02.180 -> 2.03.05)
lvm2-device-mapper (1.02.149 -> 1.02.163)
openssl-1_0_0
oxygen5-icon-theme (5.61.0 -> 5.62.0)
patterns-base
perl-AnyEvent (7.16 -> 7.17)
perl-DateTime-TimeZone (2.36 -> 2.37)
perl-Pango (1.226 -> 1.227)
phonon4qt5
plasma-framework (5.61.0 -> 5.62.0)
prison-qt5 (5.61.0 -> 5.62.0)
purpose (5.61.0 -> 5.62.0)
python-Twisted (19.2.1 -> 19.7.0)
python-configparser (3.7.4 -> 4.0.2)
python-cssselect (1.0.3 -> 1.1.0)
python-h2 (3.1.0 -> 3.1.1)
python-jedi
python-lxml (4.4.0 -> 4.4.1)
python-numpy
python-pexpect
python-psutil (5.6.1 -> 5.6.3)
python-pyasn1 (0.4.5 -> 0.4.7)
python-pyasn1-modules (0.2.5 -> 0.2.6)
python-pycryptodome (3.8.2 -> 3.9.0)
python-pytz
python-pyxdg
python-setuptools
python-urllib3
python2-numpy
qqc2-desktop-style (5.61.0 -> 5.62.0)
re2 (20190801 -> 20190901)
rsibreak (0.12.10 -> 0.12.11)
rubygem-yast-rake (0.2.34 -> 0.2.36)
solid (5.61.0 -> 5.62.0)
sonnet (5.61.0 -> 5.62.0)
syndication (5.61.0 -> 5.62.0)
syntax-highlighting (5.61.0 -> 5.62.0)
threadweaver (5.61.0 -> 5.62.0)
timezone (2019b -> 2019c)
timezone-java (2019b -> 2019c)
transactional-update (2.15 -> 2.16)
yast2 (4.2.19 -> 4.2.23)
yast2-control-center (4.2.1 -> 4.2.2)
yast2-country (4.2.4 -> 4.2.5)
yast2-dns-server (4.2.2 -> 4.2.4)
yast2-installation (4.2.12 -> 4.2.14)
yast2-network (4.2.11 -> 4.2.12)
yast2-packager (4.2.24 -> 4.2.27)
yast2-schema (4.2.2 -> 4.2.3)
yast2-security (4.2.1 -> 4.2.2)
yast2-services-manager (4.2.4 -> 4.2.5)
yast2-storage-ng (4.2.35 -> 4.2.40)
yast2-trans (84.87.20190901.3784ecca69 -> 84.87.20190922.d5dcfb03ab)
yast2-ycp-ui-bindings (4.1.0 -> 4.2.1)

=== Details ===

==== attica-qt5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Attica5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix the attica pkgconfig file.
- Drop 0001-Fix-the-attica-pkgconfig-file.patch, merged upstream.

==== baloo5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fixes a crash in Peruse triggered by baloo
* Fix section hierachy in distributing.md
* Remove unused includes
* [kded/baloosearchmodule] Remove useless qDebug messages

==== binutils ====
Subpackages: binutils-devel

- Update to current 2.32 branch @7b468db3 adding
binutils-2.32-branch.diff.gz [jsc#ECO-368].
- Includes fixes for these CVEs:
bsc#1109412 aka CVE-2018-17358 aka PR23686
bsc#1109413 aka CVE-2018-17359 aka PR23686
bsc#1109414 aka CVE-2018-17360 aka PR23685
bsc#1111996 aka CVE-2018-18309 aka PR23770
bsc#1112534 aka CVE-2018-18484 aka GCC PR87636
bsc#1112535 aka CVE-2018-18483 aka PR23767
bsc#1113247 aka CVE-2018-18607 aka PR23805
bsc#1113252 aka CVE-2018-18606 aka PR23806
bsc#1113255 aka CVE-2018-18605 aka PR23804
bsc#1116827 aka CVE-2018-17985 aka GCC PR87335
bsc#1118830 aka CVE-2018-19932 aka PR23932
bsc#1118831 aka CVE-2018-19931 aka PR23942
bsc#1120640 aka CVE-2018-1000876 aka PR23994
bsc#1121034 aka CVE-2018-20651 aka PR24041
bsc#1121035 aka CVE-2018-20623 aka PR24049
bsc#1121056 aka CVE-2018-20671 aka PR24005
bsc#1142772 aka CVE-2019-1010180 aka PR23657
- Refresh s390-biarch.diff and
binutils-revert-plt32-in-branches.diff .
- For the SLE12 package this also removes patches
binutils-z13-1.diff, binutils-z13-2.diff,
binutils-z13-3.diff, binutils-z13-4.diff and binutils-z13-5.diff .
- enable xtensa architecture (Tensilica lc6 and related)
- Fix SUSE typo in README package name

==== bluez-qt ====
Version update (5.61.0 -> 5.62.0)
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes

==== breeze5-icons ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix *-loading-symbolic icon symlinks
* Add new activities and virtual desktops icons
* Make small recent documents icons look like documents and improve clock
emblems
* Create new "Recent folders" icon (kde#411635)
* Add "preferences-desktop-navigation" icon (kde#402910)
* Add 22px dialog-scripts, change script actions/places icons to match it
* Improve "user-trash" icon
* Use empty/filled style for monochrome empty/full trash
* Make notification icons use outline style
* Make user-trash icons look like trashcans
* Add breeze icons for ROOT cern files
* Remove applets/22/computer (kde#410854)
* Add view-barcode-qr icons
* Krita has split from Calligra and now uses Krita name instead of
calligrakrita
* Add battery-ups icons
* Make "monitor" a link to "computer" icon
* Add FictionBook 2 icons
* Add icon for kuiviewer, needs updating -> bug 407527
* Symlink "port" to "anchor", which displays more appropriate iconography
* Change radio to device icon, add more sizes
* Make `pin` icon point to an icon that looks like a pin, not something
unrelated
* Fix missing digit and pixel-perfect alignment of depth action icons
(kde#406502)
* Make 16px folder-activites look more like larger sizes
* add icon for clazy, should be remade in svg
* add latte-dock icon from latte dock repo for kde.org/applications
* icon for kdesrc-build used by kde.org/applications to be redrawn.
* Rename media-show-active-track-amarok to media-track-show-active

==== ceph ====
Version update (14.2.2.354+g8878cf2360 -> 14.2.4.352+g2060e25d1c)
Subpackages: librados2 librbd1

- Update to 14.2.4-352-g2060e25d1c:
+ rebase on top of upstream Nautilus v14.2.4 release, SHA1
75f4de193b3ea58512f204623e6c5a16e6c1e1ba
for details, see https://ceph.io/releases/v14-2-4-nautilus-released/
- Update to 14.2.3-349-g7b1552ea82:
+ rebase on top of upstream Nautilus v14.2.3 release, SHA1
0f776cf838a1ae3130b2b73dc26be9c95c6ccc39
for details, see https://ceph.io/releases/v14-2-3-nautilus-released/
* ceph-volume: prints errors to stdout with --format json (bsc#1132767)
* mgr/dashboard: Changing rgw-api-host does not get effective without
disable/enable dashboard mgr module (bsc#1137503)
* mgr/dashboard: Silence Alertmanager alerts (bsc#1141174)
* mgr/dashboard: Fix e2e failures caused by webdriver version (bsc#1145759)
+ librbd: always try to acquire exclusive lock when removing image
(bsc#1149093)

==== drbd ====
Subpackages: drbd-kmp-default

- bsc#1151579, fix collinelle default path and always trigger in obs
Add patch suse-coccinelle.patch
- bsc#1146117, disallow dual primaries when not configured.
Modify patch rely-on-sb-handles.patch

==== drbd-utils ====

- bsc#1145296, fix the wrong return code with cib_apply_diff
Add patch cibadmin-return-code-convert.patch

==== expat ====
Version update (2.2.7 -> 2.2.8)
Subpackages: libexpat-devel libexpat1 libexpat1-32bit

- Version update to 2.2.8
* Security fixes: (CVE-2019-15903, bsc#1149429)
- CVE-2019-15903 -- Fix heap overflow triggered by XML_GetCurrentLineNumber
(or XML_GetCurrentColumnNumber), and deny internal entities closing the
doctype;
* Bug fixes:
- Fix cases where XML_StopParser did not have any effect
when called from inside of an end element handler
- xmlwf: Fix exit code for operation without "-d DIRECTORY";
previously, only "-d DIRECTORY" would give you a proper exit code:
Now both cases return exit code 2.
* Other changes:
- examples: Improve elements.c
- Autotools: Add argument --enable-xml-attr-info
- Autotools: Add arguments --with-getrandom --without-getrandom
--with-sys-getrandom --without-sys-getrandom
- Autotools: Fix linking issues with "./configure LD=clang"
- Autotools: Fix "make run-xmltest" for out-of-source builds
- CMake: Pull all options from Expat <=2.2.7 into namespace
- CMake: Add argument -DEXPAT_ATTR_INFO=(ON|OFF), default OFF
- CMake: Add argument -DEXPAT_LARGE_SIZE=(ON|OFF), default OFF
- CMake: Add argument -DEXPAT_MIN_SIZE=(ON|OFF), default OFF
- CMake: Add arguments -DEXPAT_WITH_GETRANDOM=(ON|OFF|AUTO), default AUTO
- CMake: Add arguments -DEXPAT_WITH_SYS_GETRANDOM=(ON|OFF|AUTO), default AUTO
- CMake: Install expat_config.h to include directory
- CMake: Generate and install configuration files for future
find_package(expat [..] CONFIG [..])
- CMake: Now produces a summary of applied configuration
- CMake: Require C++ compiler only when tests are enabled
- CMake: Fix compilation for 16bit character types, i.e. ex -DXML_UNICODE=ON
(and ex -DXML_UNICODE_WCHAR_T=ON)
- CMake: Port "make run-xmltest" from GNU Autotools to CMake
- CMake: Integrate OSS-Fuzz fuzzers, option -DEXPAT_BUILD_FUZZERS=(ON|OFF),
default OFF
- Removed patches fixed in the update:
* expat-CVE-2019-15903.patch
* expat-CVE-2019-15903-tests.patch
- Security fix (CVE-2019-15903, bsc#1149429)
* Crafted XML input results in heap-based buffer over-read by fooling
the parser into changing from DTD parsing to document parsing
* Added patches:
- expat-CVE-2019-15903.patch
- expat-CVE-2019-15903-tests.patch

==== fcitx-qt5 ====

- Add upstream patch fix-remove-paths-warnings.patch
- Change COPYING from %doc to %license

==== frameworkintegration ====
Version update (5.61.0 -> 5.62.0)
Subpackages: frameworkintegration-plugin libKF5Style5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== gcc9 ====
Version update (9.2.1+r274709 -> 9.2.1+r275327)
Subpackages: cpp9 gcc9-c++ gcc9-fortran gcc9-info gcc9-locale gcc9-objc
libasan5 libatomic1 libgcc_s1 libgcc_s1-32bit libgfortran5 libgomp1 libitm1
liblsan0 libobjc4 libquadmath0 libstdc++6 libstdc++6-32bit
libstdc++6-devel-gcc9 libstdc++6-locale libstdc++6-pp-gcc9
libstdc++6-pp-gcc9-32bit libtsan0 libubsan1

- Add gcc9-pr91772.patch and gcc9-pr91763.patch to fix fallout
of gcc9-autodetect-g-at-lto-link.patch.
- Add gcc9-autodetect-g-at-lto-link.patch. [bsc#1149995]
- Reorder things in cross.spec.in so the Version define comes before
the first use of %version.
- Revert removal of defattr, it breaks building on SLES12.
- Update to gcc-9-branch head (r275327).
* Pulls fix for POWER9 DARN miscompilation.
(bsc#1149145, CVE-2019-15847)
- Rework shared spec file parts to allow custom Summary and
Description for cross compilers. Clarify their Summary
and Description. [bsc#1148517]
- Replace old $RPM_* shell vars by macros (where possible).
- Drop defattr and BuildRoot.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix fallback embed doesn't work when no post mbr gap at all (boo#1142229)
* Refresh grub2-setup-try-fs-embed-if-mbr-gap-too-small.patch

==== kactivities-stats ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add Term::Type::files() and Term::Type::directories() to filter only
directories or excluding them
* Add @since 5.62 for newly added setters
* Add proper logging using ECMQtDeclareLoggingCategory
* Add setter to Type, Activity, Agent and UrlFilter query fields
* Use special values constants in terms.cpp
* Allow date range filtering of resource events using Date Term

==== kactivities5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kactivities5-imports libKF5Activities5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* [kactivities] Use new activities icon
* Remove unused includes

==== karchive ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix creating archives on Android content: URLs

==== kauth ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Auth5 libKF5Auth5-lang libKF5AuthCore5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kbookmarks ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Bookmarks5 libKF5Bookmarks5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kcmutils ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kcodecs ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Codecs5 libKF5Codecs5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0

==== kcompletion ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kconfig ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kconf_update5 libKF5ConfigCore5 libKF5ConfigCore5-lang
libKF5ConfigGui5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix memory leak in KConfigWatcher
* Add a logging category for logs warnings
* Disable KCONFIG_USE_DBUS on Android

==== kconfigwidgets ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5ConfigWidgets5 libKF5ConfigWidgets5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Use isEmpty here too
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
* [KColorSchemeManager] Optimize preview generation
* Fix includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kcoreaddons ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kcoreaddons-lang libKF5CoreAddons5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* autotests: split up kprocesstest to fix compilation with Qt 5.14
* Use QLatin1String here
* Q_UNUSED doesn't need a ; after it.
* [KProcessList] Split command line and process name

==== kcrash ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Avoid enabling kcrash if it's only included via a plugin (kde#401637)
* Disable kcrash when running under rr
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kdbusaddons ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kdbusaddons-tools libKF5DBusAddons5 libKF5DBusAddons5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
* make deadservicetest unix exclusive
* remove useless moc include
* fix race on kcrash auto-restarts

==== kdeclarative ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Warn if KPackage is invalid
* Remove unused includes
* [GridDelegate] Don't select unselected item when clicking on any of its
action buttons (kde#404536)
* [ColorButton] Forward accepted signal from ColorDialog
* use zero-based coordinate system on the plot
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kded ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kded-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kdelibs4support ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kdelibs4support-lang libKF5KDELibs4Support5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* kdelibs4support: port away from deprecated KWindowSystem API
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kdesu ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Su5 libKF5Su5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kdnssd-framework ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5DNSSD5 libKF5DNSSD5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0

==== kdoctools ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kdoctools-lang libKF5DocTools5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* KF5DocToolsMacros.cmake: Use non-deprecated KDEInstallDirs variables
(kde#410998)
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kemoticons ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kfilemetadata5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kfilemetadata5-lang

- Drop Qt5Multimedia BuildRequires, not used since KF 5.41.
- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Implement writing of images
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kglobalaccel ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccel5-lang
libKF5GlobalAccelPrivate5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kguiaddons ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0

==== kholidays ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Holidays5 libKF5Holidays5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Display filename where we return an error
* Remove unused includes
* Include ECMGeneratePriFile after KDEInstallDirs
- Replace pkgconfig(Qt5Foo) with cmake(Qt5Foo) in build requirements

==== khtml ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5KHtml5 libKF5KHtml5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== ki18n ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix test failing
* Localize long number strings (kde#409077)
* Support passing target to ki18n_wrap_ui macro

==== kiconthemes ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5IconThemes5 libKF5IconThemes5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Properly turn real into integer
* Remove unused includes
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kidletime ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes

==== kimageformats ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kimageformats-eps

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix uninitialized memory read

==== kinit ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kinit-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kio ====
Version update (5.61.0 -> 5.62.1)
Subpackages: kio-core kio-lang

- Update to 5.62.1
* Fixed interaction with DOS/Windows executables in KRun::runUrl
- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* [CopyJob] Use resolved URL in copyingDone so undo can rename back using
local file (kde#391606)
* FileUndoManager: improve debugging facilities
* kio_trash: split up copyOrMove, for a better error than "should never
happen"
* FileUndoManager: clearer assert when forgetting to record
* Fix exit and crash in kio_file when put() fails in readData.
* autotests: use QVERIFY2 to print the job error if exec() fails
* [CopyJob] Fix crash when copying an already existing dir and pressing
"Skip" (kde#408350)
* [KUrlNavigator] Add MIME types supported by krarc to isCompressedPath
(kde#386448)
* Added dialog to set execute permission for executable file when trying to
run it.
* [KPropertiesDialog] Always check mount point being null (kde#411517)
* [KRun] Check mime type for isExecutableFile first
* Add an icon for the trash root and a proper label
* Add support for handling QNAM SSL errors to KSslErrorUiData
* Making FileJob behave consistently.
* assert slave command finality
* [KFilePlacesView] Use asynchronous KIO::FileSystemFreeSpaceJob
* rename internal 'kioslave' helper executable to 'kioslave5' (kde#386859)
* [KDirOperator] Middle-elide labels that are too long to fit
* [KDirOperator] Add follow new directories options
* KDirOperator: Only enable "Create New" menu if the selected item is a
directory
* KIO FTP: Fix file copy hanging when copying to existing file
* KIO: port to non-deprecated KWindowSystem::setMainWindow
* KRun: fix runtime warning when widget is null
* KRun: remove KProcessRunner dependency on QtWidgets
* Port KIO::Job documentation to Qt5-style connect syntax
* Make file bookmark names consistent
* Remove unused includes
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
* [KDirOperator] Use more human-readable sort order descriptions
* Fix build by removing obsolete qrc file for newly-removed images
* [Permissions editor] Port icons to use QIcon::fromTheme() (kde#407662)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kirigami2 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kirigami2-lang libKF5Kirigami2-5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Replace the custom overflow button with PrivateActionToolButton in
ActionToolBar
* If a submenu action has an icon set, make sure to also display it
* [Separator] Match Breeze borders' color
* Add Kirigami ListSectionHeader component
* Fix context menu button for pages not showing up
* Fix PrivateActionToolButton with menu not clearing checked state properly
* Use QLatin1String + QString::remove operates on the same object, no need to
reassign
* Fix supported OS attributes for api.kde.org
* remove references from the icon qrc to missing icons.
* allow to set custom icon for the left drawer handle
* Rework the visibleActions logic in SwipeListItem
* Allow usage of QQC2 actions on Kirigami components and now make K.Action
based on QQC2.Action
* bump import
* Add handle icons
* Kirigami.Icon: Fix loading bigger images when source is a URL (kde#407409)
* Add icon used by Kirigami.AboutPage

==== kitemmodels ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add @since to properties
* Add Q_PROPERTIES interface to KDescendantsProxyModel
* Port away from deprecated methods in Qt
* Port away from deprecated method QModelIndex::child()
* Remove unused includes

==== kitemviews ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5ItemViews5 libKF5ItemViews5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)

==== kjobwidgets ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5JobWidgets5 libKF5JobWidgets5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kjs ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5JS5 libKF5JSApi5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kjsembed ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5JsEmbed5 libKF5JsEmbed5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== knewstuff ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5NewStuff5 libKF5NewStuff5-lang libKF5NewStuffCore5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
* use local variable so it does not need ECM installed
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== knotifications ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Notifications5 libKF5Notifications5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove duplicate description and URL from canberra's feature properties
* Fix build on the CI
* Resolve whether there's dbus before processing src/
* avoid duplicate notifications from showing up on Windows and remove
whitespaces
* have 1024x1024 app icon as fallback icon in Snore
* add `-pid` parameter to Snore backend calls
* Remove unused DBus XML file
* Remove double check for DBus
* add snoretoast backend for KNotifications on Windows
* Add QVector include
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== knotifyconfig ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5NotifyConfig5 libKF5NotifyConfig5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kpackage ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kpackage-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kparts ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Parts5 libKF5Parts5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kpeople5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kpeople5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Make it possible to delete contacts from backends
* Make it possible to modify contacts
* Replace by isEmpty()
* Include KDE* cmake macros first
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kplotting ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kpty ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Pty5 libKF5Pty5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kross ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kross-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== krunner ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Make sure we're checking whether tearing down is due after finishing a job
* Port runnertest to QGuiApplication
* Fix runnertest exiting early
* Add a done signal to FindMatchesJob instead of using QObjectDecorator
wrongly
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kservice ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kservice-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* autotests: check that mimetypes defined by kcoreaddons are available
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== ktexteditor ====
Version update (5.61.0 -> 5.62.0)
Subpackages: ktexteditor-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Allow to customize attributes for KSyntaxHighligting themes
* More port away from Qt's foreach all loops over method-local containers
* Port away from Qt's foreach all loops over rvalue container objects
* Port away from Qt's foreach all loops over method-local containers
* Fix for all themes: allow turn off attributes in XML highlighting files
* play in unit test with better searchText implementation
* fix build when using Qt 5.11
* simplify isAcceptableInput + allow all stuff for input methods
* simplify typeChars, no need for return code without filtering
* Mimic QInputControl::isAcceptableInput() when filtering typed characters
(kde#396764)
* try to sanitize line endings on paste (kde#410951)
* Fix: allow turn off attributes in XML highlighting files
* improve word completion to use highlighting to detect word boundaries
(kde#360340)
* More porting from QRegExp to QRegularExpression
* properly check if diff command can be started for swap file diffing
(kde#389639)
* KTextEditor: Fix left border flicker when switching between documents
* Migrate some more QRegExps to QRegularExpression
* Add .clangd to .gitignore list
* fix vi mode unit test
* Allow 0 in line ranges in vim mode.
* Use CMake find_dependency instead of find_package in CMake config file
template.
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== ktextwidgets ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5TextWidgets5 libKF5TextWidgets5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kunitconversion ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5UnitConversion5 libKF5UnitConversion5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add decibel power units (dBW and multiples)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kwallet ====
Version update (5.61.0 -> 5.62.0)
Subpackages: kwallet-tools kwallet-tools-lang kwalletd5 kwalletd5-lang
libKF5Wallet5 libkwalletbackend5-5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Port to non-deprecated KWindowSystem::setMainWindow overload
* Remove unused includes
* KWallet: fix starting kwalletmanager, the desktop file name has a '5' in it
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kwayland ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* [server] Wrap proxyRemoveSurface in smart pointer
* [server] Use cached current mode more and assert validness
* [server] Cache current mode
* Implement zwp_linux_dmabuf_v1

==== kwidgetsaddons ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5WidgetsAddons5 libKF5WidgetsAddons5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* [KMessageWidget] Pass widget to standardIcon()
* Remove unused includes
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)

==== kwindowsystem ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5WindowSystem5 libKF5WindowSystem5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* KWindowSystem: add cmake option KWINDOWSYSTEM_NO_WIDGETS
* Deprecate slideWindow(QWidget *widget)
* KWindowSystem: fix compilation with KWINDOWSYSTEM_NO_DEPRECATED
* Add KWindowSystem::setMainWindow(QWindow *) overload
* KWindowSystem: add setNewStartupId(QWindow *...) overload
* KWindowSystem: remove unused QWidget includes
* KWindowSystem: port from QApplication to QCoreApplication

==== kxmlgui ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5XmlGui5 libKF5XmlGui5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== kxmlrpcclient5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5XmlRpcClient5 libKF5XmlRpcClient5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Include ECMGeneratePriFile after KDEInstallDirs
* Remove unused includes
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== latex2html ====
Version update (2018 -> 2019.2)

- version update to 2019.2
* format author block consistently
https://bugs.debian.org/223565
* simplify build of manual
https://bugs.debian.org/639708
* convert -- to &ndash; and --- to &mdash;
If you want "--", use "-{}-", even inside \texttt{}
Behavior of \textt{--} in latex depends on font encoding.
https://bugs.debian.org/75416
* fix unicode in -html_version 5.0,math
* fix -notop_navigation (had no effect)
* remove obsolete "table" option
https://bugs.debian.org/276037
* fix "make test"
* ppmtopng syntax works with all versions of ppmtopng
* respect ./configure --with-perl=/bin/perl
* fallback for unknown column types, such as those
introduced by \newcolumntype.
https://bugs.debian.org/899306
* fix \sffamily
https://bugs.debian.org/111441
* produce svg images using pdftocairo
* use latex preview package to produce cropped images.pdf
* pdflatex by default
* dvipng by default
* html 5
* unicode input and output by default
* Support for packages luainputenc and polyglossia
* Support for picture generation via pdflatex, lualatex
or dvilualatex (options -use_pdftex, -use_luatex,
* use_luadvi correspondingly)
* perl 5.26: unescaped brace
* polski.perl: no translation until \prefixing command
- use native `make test`
- use latex2html.1 from tarball
- deleted patches
- latex2html-perl526.patch (upstreamed)
- deleted sources
- latex2html-README.SUSE (not needed)
- local.pm (not needed)
- testfile.tex (not needed)
- added required texlive-preview

==== libKF5ModemManagerQt ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes

==== libKF5NetworkManagerQt ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Rename WirelessDevice::lastRequestScanTime to
WirelessDevice::lastRequestScan
* Add property lastScanTime and lastRequestTime to WirelessDevice
* Remove unused includes
* ActiveConnection: connect stateChanged() signal to correct interface

==== libblockdev ====
Subpackages: libbd_btrfs2 libbd_crypto2 libbd_fs2 libbd_loop2 libbd_mdraid2
libbd_part2 libbd_swap2 libbd_utils2 libblockdev2

- lvm2-clvm doesn't exist in lvm2-2.03, so change SPEC file
libbd_lvm-dbus requires from lvm2-clvm to lvm2

==== libqt5-qtmultimedia ====

- Spec file cleanup
- remove GStreamer 0.10 support
- remove defattr, use license

==== libstorage-ng ====
Version update (4.2.2 -> 4.2.11)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Catalan) (bsc#1149754)
- 4.2.11
- merge gh#openSUSE/libstorage-ng#671
- added integration test
- 4.2.10
- merge gh#openSUSE/libstorage-ng#670
- added notes
- 4.2.9
- merge gh#openSUSE/libstorage-ng#668
- removed unneeded code
- cleanup integration tests
- code cleanup
- 4.2.8
- Translated using Weblate (Japanese)
- 4.2.7
- Translated using Weblate (Slovak)
- 4.2.6
- Translated using Weblate (Portuguese (Brazil))
- Translated using Weblate (Dutch)
- Translated using Weblate (Czech)
- merge gh#openSUSE/libstorage-ng#667
- update pot and po files
- 4.2.5
- merge gh#openSUSE/libstorage-ng#666
- added note
- use dev_t to save major and minor numbers
- improved unit test
- coding style
- consistent function name
- added support for plain encryption (bsc#1088641)
- added unit test
- added integration tests
- 4.2.4
- merge gh#openSUSE/libstorage-ng#665
- extended documentation
- 4.2.3

==== libyui ====
Version update (3.6.0 -> 3.8.0)

- Added ItemSelector widget (bsc#1084674)
- 3.8.0
- Allow to get and set scrollbar position of RichText widget
(bsc#1150498)
- 3.7.0

==== libyui-ncurses ====
Version update (2.52.0 -> 2.52.1)

- handle new libyui feature dealing with scrollbar position
of RichText widget (bsc#1150498)
- 2.50.1

==== libyui-ncurses-pkg ====
Version update (2.49.0 -> 2.49.1)

- Added a new generic dependency to force upgrade from all previous
versions (e.g. from libyui-ncurses-pkg9 to libyui-ncurses-pkg10)
(bsc#1148622)
- 2.49.1

==== libyui-qt ====
Version update (2.50.5 -> 2.51.0)

- Implemented ItemSelector widget (bsc#1084674)
- 2.50.7
- handle new libyui feature dealing with scrollbar position
of RichText widget (bsc#1150498)
- 2.50.6

==== libyui-qt-graph ====
Version update (2.45.2 -> 2.45.3)

- Make scroll-up mean zoom-in (bsc#1149158)
- 2.45.3

==== libyui-qt-pkg ====
Version update (2.46.6 -> 2.46.7)

- Added a new generic dependency to force upgrade from all previous
versions (e.g. from libyui-qt-pkg9 to libyui-qt-pkg10)
(bsc#1148622)
- 2.46.7

==== lvm2 ====
Version update (2.02.180 -> 2.03.05)

- Update lvm2.spec: make baselibs.conf to a common source.
- Avoid creation of mixed-blocksize PV on LVM volume groups (bsc#1149408)
+ bug-1149408_Fix-rounding-writes-up-to-sector-size.patch
+ bug-1149408_vgcreate-vgextend-restrict-PVs-with-mixed-block-size.patch
- Update lvm.conf files
- add devices/allow_mixed_block_sizes item
- Update to LVM2.2.03.05
- To drop lvm2-clvm and lvm2-cmirrord rpms (jsc#PM-1324)
- Fix Out of date package (bsc#1111734)
- Fix occasional slow shutdowns with kernel 5.0.0 and up (bsc#1137648)
- Remove clvmd
- Remove lvmlib (api)
- Remove lvmetad
- Drop patches that have been merged into upstream
- bug-1114113_metadata-prevent-writing-beyond-metadata-area.patch
- bug-1137296_pvremove-vgextend-fix-using-device-aliases-with-lvmetad.patch
- bug-1135984_cache-support-no_discard_passdown.patch
- Drop patches that have been nonexist/unsupport in upstream
- bsc1080299-detect-clvm-properly.patch
- bug-998893_make_pvscan_service_after_multipathd.patch
- bug-978055_clvmd-try-to-refresh-device-cache-on-the-first-failu.patch
- bug-950089_test-fix-lvm2-testsuite-build-error.patch
- bug-1072624_test-lvmetad_dump-always-timed-out-when-using-nc.patch
- tests-specify-python3-as-the-script-interpreter.patch
- Update spec files
- merge device-mapper, lvm2-lockd, lvm2 into one spec file
- clvmd/lvmlib (api)/lvmetad had been removed, so delete related context in
spec file
- Update lvm.conf files
- remove all lvmetad lines/keywords
- add event_activation
- remove fallback_to_lvm1 & related items
- remove locking_type/fallback_to_clustered_locking/fallback_to_local_locking
items
- remove locking_library item
- remove all special filter rules

==== lvm2-device-mapper ====
Version update (1.02.149 -> 1.02.163)
Subpackages: device-mapper libdevmapper-event1_03 libdevmapper1_03
libdevmapper1_03-32bit

- Update lvm2.spec: make baselibs.conf to a common source.
- Avoid creation of mixed-blocksize PV on LVM volume groups (bsc#1149408)
+ bug-1149408_Fix-rounding-writes-up-to-sector-size.patch
+ bug-1149408_vgcreate-vgextend-restrict-PVs-with-mixed-block-size.patch
- Update lvm.conf files
- add devices/allow_mixed_block_sizes item
- Update to LVM2.2.03.05
- To drop lvm2-clvm and lvm2-cmirrord rpms (jsc#PM-1324)
- Fix Out of date package (bsc#1111734)
- Fix occasional slow shutdowns with kernel 5.0.0 and up (bsc#1137648)
- Remove clvmd
- Remove lvmlib (api)
- Remove lvmetad
- Drop patches that have been merged into upstream
- bug-1114113_metadata-prevent-writing-beyond-metadata-area.patch
- bug-1137296_pvremove-vgextend-fix-using-device-aliases-with-lvmetad.patch
- bug-1135984_cache-support-no_discard_passdown.patch
- Drop patches that have been nonexist/unsupport in upstream
- bsc1080299-detect-clvm-properly.patch
- bug-998893_make_pvscan_service_after_multipathd.patch
- bug-978055_clvmd-try-to-refresh-device-cache-on-the-first-failu.patch
- bug-950089_test-fix-lvm2-testsuite-build-error.patch
- bug-1072624_test-lvmetad_dump-always-timed-out-when-using-nc.patch
- tests-specify-python3-as-the-script-interpreter.patch
- Update spec files
- merge device-mapper, lvm2-lockd, lvm2 into one spec file
- clvmd/lvmlib (api)/lvmetad had been removed, so delete related context in
spec file
- Update lvm.conf files
- remove all lvmetad lines/keywords
- add event_activation
- remove fallback_to_lvm1 & related items
- remove locking_type/fallback_to_clustered_locking/fallback_to_local_locking
items
- remove locking_library item
- remove all special filter rules

==== openssl-1_0_0 ====
Subpackages: libopenssl1_0_0 libopenssl1_0_0-hmac

- OpenSSL Security Advisory [10 September 2019]
* EC_GROUP_set_generator side channel attack avoidance. [bsc#1150003,
CVE-2019-1547]
* Bleichenbacher attack against cms/pkcs7 encryption transported key
[bsc#1150250, CVE-2019-1563]
- Added patches:
* openssl-CVE-2019-1547.patch
* openssl-CVE-2019-1563.patch

==== oxygen5-icon-theme ====
Version update (5.61.0 -> 5.62.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- No code change since 5.61.0
- Replace pkgconfig(Qt5Foo) with cmake(Qt5Foo) in build requirements

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-base patterns-base-basesystem
patterns-base-basic_desktop patterns-base-console patterns-base-documentation
patterns-base-enhanced_base patterns-base-minimal_base
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_enhanced

- Added snapper back to base pattern as recommended package, the
workaround for boo#1151148

==== perl-AnyEvent ====
Version update (7.16 -> 7.17)

- updated to 7.17
see /usr/share/doc/packages/perl-AnyEvent/Changes
TODO: document TCP_*** constants
TODO: add debug/trace logging to some modules
TODO: use the eval-with-cb-call trick also to speed up JSON?
TODO: FAQ: common pitfalls? invoke-before-return
TODO: FAQ: scope-ids? hosts file order?
TODO: AnyEvent::Handle with AnyEvent::IO?
TODO: invalid. and localhost. specialcasing inside AEDNS and not AESocket
(rfc6761)
TODO: maybe implement env variable to give hosts precedence
TODO: more formats for parse_ipv6 (single ipv6 address without port, ...p80,
...#80)
TODO: inet_aton maybe pack C4? no, add a comment why not
TODO: socket prepare callbacks, can they easily signal failure as well?
TODO: ???? ? <verdrehung@xxxxxxxxx>, empty A record response causes
AnyEvent::resolve_sockaddr to eventually call pack_sockaddr with undef -
broken dns server, but maybe improve the response.
7.17 Wed Sep 18 03:04:49 CEST 2019
- work around antique openssl version in RHEL 7 by formatting
dh parameters differently (reported by several people).
- add t/13_weaken.t.

==== perl-DateTime-TimeZone ====
Version update (2.36 -> 2.37)

- updated to 2.37
see /usr/share/doc/packages/perl-DateTime-TimeZone/Changes
2.37 2019-09-11
- This release is based on version 2019c of the Olson database. This release
includes contemporary changes for Fiji and Norfolk Island.

==== perl-Pango ====
Version update (1.226 -> 1.227)

- Override description in cpanspec
- Remove fix-pangocairo_libs.patch (not needed anymore)
Add custom dependencies and test to cpanspec.yml
- updated to 1.227
see /usr/share/doc/packages/perl-Pango/ChangeLog.pre-git

==== phonon4qt5 ====
Subpackages: libphonon4qt5 phonon4qt5-lang phononsettings phononsettings-lang

- Add 0001-Remove-phonon-from-the-include-directory.patch

==== plasma-framework ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Make notification icons use outline style
* Skip test on wayland
* Port trivial connects to the new style
* make the sizing of the toolbuttons more coherent
* make button icons follow a reasonable size and layout (kde#399952)
* Allow applets/containments/wallpaper to defer UIReadyConstraint
* Make notification icons look like bells
* Fix incorrect initial tabs position for vertical tab bars (kde#395390)
* Add missing include
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== prison-qt5 ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Prison5 prison-qt5-imports

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Include KDE* cmake macros first

==== purpose ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Fix no device available text
* autotests: fix disabling kio debug output
* Fixed Telegram Desktop plugin on Fedora
* Fix capitalization of Nextcloud
* Add missing #include
* Remove unused includes
* Use new syntax
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== python-Twisted ====
Version update (19.2.1 -> 19.7.0)

- Remove mailmail when only building Python 3 flavour
- Update to 19.7.0:
* The callable argument to twisted.internet.task.deferLater() is no longer
required. (#9577)
* twisted.internet.utils.getProcessOutputAndValue now accepts stdinBytes to
write to the child process's standard input. (#9607)
* Add new twisted.logger.capturedLogs context manager for capturing observed
log events in tests. (#9617)
* twisted.internet.base.PluggableResolverMixin, which implements the
pluggable resolver interfaces for easier re-use in other reactors, has been
factored out of ReactorBase. (#9632)
* The PyPI page for Twisted has been enhanced to include more information and
useful links. (#9648)
- Refresh patch:
* skip_MultiCast.patch
- Remove merged patch hyperlink.patch

==== python-configparser ====
Version update (3.7.4 -> 4.0.2)

- Update to 4.0.2:
* sync with upstream ptyhon releases

==== python-cssselect ====
Version update (1.0.3 -> 1.1.0)
Subpackages: python2-cssselect python3-cssselect

- Switch to multibuild to avoid build cycle with lxml
- Update to 1.1.0:
* Support for the :scope selector, which allows to access immediate children
of a selector.
* Support for the |E syntax for type selectors without a namespace.
* A new selector method, canonical, returns the CSS expression of the
selector, as a string.

==== python-h2 ====
Version update (3.1.0 -> 3.1.1)

- Update to 3.1.1:
* Ignore WINDOW_UPDATE and RST_STREAM frames received after stream closure.
- Drop patch pytest5.patch

==== python-jedi ====

- Skip another time based test test_os_path_join
- Skip flaky test test_static_analysis

==== python-lxml ====
Version update (4.4.0 -> 4.4.1)
Subpackages: python-lxml-doc python2-lxml python3-lxml

- Update to 4.4.1:
* LP#1838252: The order of an OrderedDict was lost in 4.4.0 when passing it
as attrib mapping during element creation.
* LP#1838521: The package metadata now lists the supported Python versions.

==== python-numpy ====

- as bypass boo#1148173 ignore %check error for ppc64/ppc64le

==== python-pexpect ====

- Disable test_large_stdout_stream as it randomly fails

==== python-psutil ====
Version update (5.6.1 -> 5.6.3)

- Add patch to skip more tests that won't work in OBS:
* skip-obs.patch
- Update to 5.6.3:
* 1494: [AIX] added support for Process.environ(). (patch by Arnon Yaari)
* 1276: [AIX] can't get whole cmdline(). (patch by Arnon Yaari)
* 1501_: [Windows] Process cmdline() and exe() raise unhandled "WinError 1168
element not found" exceptions for "Registry" and "Memory Compression" psuedo
processes on Windows 10.
* 1526_: [NetBSD] process cmdline() could raise MemoryError. (patch by Kamil
Rytarowski)
- Update to 5.6.2:
* 1404: [Linux] cpu_count(logical=False) uses a second method (read from
/sys/devices/system/cpu/cpu[0-9]/topology/core_id) in order to determine the
number of physical CPUs in case /proc/cpuinfo does not provide this info.
* 1458: provide coloured test output. Also show failures on KeyboardInterrupt.
* 1464: various docfixes (always point to python3 doc, fix links, etc.).
* 1478: add make command to re-run tests failed on last run.
* 1456: [Linux] cpu_freq() returns None instead of 0.0 when min/max not
available (patch by Alex Manuskin)
* 1462: [Linux] (tests) make tests invariant to LANG setting (patch by
Benjamin Drung)
* 1463: cpu_distribution.py script was broken.
* 1470: [Linux] disk_partitions(): fix corner case when /etc/mtab doesn't
exist. (patch by Cedric Lamoriniere)
* 1472: [Linux] cpu_freq() does not return all CPUs on Rasbperry-pi 3.
* 1493: [Linux] cpu_freq(): handle the case where
/sys/devices/system/cpu/cpufreq/ exists but is empty.

==== python-pyasn1 ====
Version update (0.4.5 -> 0.4.7)
Subpackages: python2-pyasn1 python3-pyasn1

- Update to 0.4.7:
* Many bugfixes all around, see CHANGES.rst

==== python-pyasn1-modules ====
Version update (0.2.5 -> 0.2.6)

- Update to 0.2.6:
* variour RFC enhancements, see CHANGES.txt

==== python-pycryptodome ====
Version update (3.8.2 -> 3.9.0)
Subpackages: python2-pycryptodome python3-pycryptodome

- Update to 3.9.0:
* Add support for loading PEM files encrypted with AES256-CBC.
* Add support for XChaCha20 and XChaCha20-Poly1305 ciphers.
* Add support for bcrypt key derivation function (Crypto.Protocol.KDF.bcrypt).
* Add support for left multiplication of an EC point by a scalar.
* Add support for importing ECC and RSA keys in the new OpenSSH format.

==== python-pytz ====
Subpackages: python2-pytz python3-pytz

- Add versioned dependency on timezone database to ensure the
correct data is installed
- Remove system_zoneinfo.patch, and instead add a symlink to the
system timezone database
- Replace unnecessary pytest, adding a missing __init__.py in the
tests to allow the test suite to work on Python 2.7 without pytest

==== python-pyxdg ====

- Fix test data to use sys.executable

==== python-setuptools ====
Subpackages: python2-setuptools python3-setuptools

- Define LANG in %check to fix openSUSE/SLE 15 testsuite

==== python-urllib3 ====

- Use have/skip_python2/3 macros to allow building only one flavour

==== python2-numpy ====

- as bypass boo#1148173 ignore %check error for ppc64/ppc64le

==== qqc2-desktop-style ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Prevent dragging QQC2 ComboBox contents outside menu
* metainfo.yaml: set fancy name, auto-name from cmake project() is not nice
* metainfo.yaml: remove bogus note about library to link to
- Replace foo-devel with cmake(KF5Foo) in build requirements

==== re2 ====
Version update (20190801 -> 20190901)

- update to 2019-09-01:
* build system fixes

==== rsibreak ====
Version update (0.12.10 -> 0.12.11)
Subpackages: rsibreak-lang

- Update to 0.12.11:
* Improve notification integration with the notification KCM
* Translation improvements
* Minor code cleanup
- Switch Qt5/KF5 BuildRequires to cmake() style

==== rubygem-yast-rake ====
Version update (0.2.34 -> 0.2.36)

- Submit the SLE12-SP5 packages to Updates (not to GA) (bsc#1149771)
- Added the SLE15-SP2 target
- 0.2.36
- Using rb_default_ruby_abi tag in the spec file in order to
handle several ruby versions (bsc#1146403).
- 0.2.35

==== solid ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Make battery serial property constant
* Only build tests when DBus is available
* Expose technology property in battery interface
* Remove unused includes
- Replace pkgconfig(Qt5Foo) with cmake(Qt5Foo) in build requirements

==== sonnet ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetCore5-lang libKF5SonnetUi5

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Add option to build Qt Designer plugin (BUILD_DESIGNERPLUGIN, default ON)
* Fix build: include QJsonArray for voikkodict.cpp needed with Qt 5.13
* MSVC++ needs QVector it seems.
* Remove unused includes

==== syndication ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes
* Include ECMGeneratePriFile after KDEInstallDirs

==== syntax-highlighting ====
Version update (5.61.0 -> 5.62.0)
Subpackages: libKF5SyntaxHighlighting5 libKF5SyntaxHighlighting5-lang

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Improve API documentation for Definition::setKeywordList()
* C & ISO C++: add digraphs (folding & preprocessor) (kde#411508)
* Markdown, TypeScript & Logcat: some fixes
* Format class: add functions to know if XML files set style attributes
* update matlab test refs
* combine test.m stuff into existing highlight.m
* Support for native Matlab strings
* Gettext: Add "Translated String" style and spellChecking attribute
(kde#392612)
* reST: handle some more corner cases, add an actual test file
* Set the OpenSCAD indenter to C-style instead of none.
* Possiblity to change Definition data after loading
* Highlighting indexer: check kateversion
* Markdown: multiple improvements and fixes (kde#390309)
* JSP: support of <script> and <style> ; use IncludeRule ##Java
* LESS: import CSS keywords, new highlighting and some improvements
* JavaScript: remove unnecessary "Conditional Expression" context
* New syntax: SASS. Some fixes for CSS and SCSS (kde#149313)
* Use CMake find_dependency in CMake config file instead of find_package
* SCSS: fix interpolation (#{...}) and add the Interpolation color
* fix additionalDeliminator attribute (kde#399348)
* C++: contracts are not in C++20
* Gettext: fix "previous untranslated string" and other improvements/fixes
* Jam: Fix local with variable without initilisation and highlight SubRule
* Remove unused includes
* implicit fallthough if there is fallthoughContext
* restore right file paths
* Add common GLSL file extensions (.vs, .gs, .fs)
* Latex: several fixes (math mode, nested verbatim, ...) (kde#320303)
* Lua: fix color of end with several levels of condition and function nesting
* Highlighting indexer: all warnings are fatal
* Include KDE* cmake macros first

==== threadweaver ====
Version update (5.61.0 -> 5.62.0)

- Update to 5.62.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
* Remove unused includes

==== timezone ====
Version update (2019b -> 2019c)

- timezone update 2019c (bsc#1150451)
* Fiji observes DST from 2019-11-10 to 2020-01-12.
* Norfolk Island starts observing Australian-style DST.

==== timezone-java ====
Version update (2019b -> 2019c)

- timezone update 2019c (bsc#1150451)
* Fiji observes DST from 2019-11-10 to 2020-01-12.
* Norfolk Island starts observing Australian-style DST.

==== transactional-update ====
Version update (2.15 -> 2.16)
Subpackages: transactional-update-zypp-config

- Update to version 2.16
- Use default command if options, but no command was given [boo#1146116]
- Make sure only one process appears in `ps` output [boo#1111897]
- Move update check: If a new repository is added (and
ZYPPER_AUTO_IMPORT_KEYS is set) adding the new repository key won't fail
any more
- Avoid unnecessary snapshots / reboots by detecting zypper operations
without changes more reliably (e.g. when installing an already installed
package)
- Update the manpage accordingly
- Bugfixes:
- Ignore commented lines in fstab when checking for shadowed files
- Avoid warning when copying network config
- Remove Perl dependency
- Building documentation requires Python 3 now

==== yast2 ====
Version update (4.2.19 -> 4.2.23)
Subpackages: yast2-logs

- Use "display_name" tag for the product label, "label" marks a
translatable text (jsc#SLE-7214)
- 4.2.23
- Added support for reading products from control.xml file
(jsc#SLE-7104)
- 4.2.22
- support reading licenses from tar archive (jsc#SLE-7214)
- 4.2.21
- Fix a problem when long warnings reports in command line
(bsc#1149776).
- 4.2.20

==== yast2-control-center ====
Version update (4.2.1 -> 4.2.2)
Subpackages: yast2-control-center-qt

- Fix appdata for new spec (fate#319035)
- 4.2.2

==== yast2-country ====
Version update (4.2.4 -> 4.2.5)
Subpackages: yast2-country-data

- Add missing Persian/Farsi language and keyboard layout
(bsc#1092920).
- 4.2.5

==== yast2-dns-server ====
Version update (4.2.2 -> 4.2.4)

- Permit the user to force an netconfig update when netconfig was
not able to change the configuration. (bsc#1123985)
- 4.2.4
- Do not modify the service when finishing the wizard dialog as
the configuration has not been written yet. (bsc#1123985)
- 4.2.3

==== yast2-installation ====
Version update (4.2.12 -> 4.2.14)

- Support for the online installation medium (jsc#SLE-7214)
- 4.2.14
- do NOT remove /mnt/run, it's a mounted directory (bsc#1149011)
- 4.2.13

==== yast2-network ====
Version update (4.2.11 -> 4.2.12)

- bnc#1149234
- apply udev rule from AY profile according to device's mac
value when permanent_mac is missing in list of the device's
options
- bsc#1133442
- Increased the DHCP timeout when NetworkManager is in use to
its default (45 seconds).
- 4.2.12

==== yast2-packager ====
Version update (4.2.24 -> 4.2.27)

- Support for the online installation medium (jsc#SLE-7214)
- 4.2.27
- Properly initialize the used base product name at upgrade
(bsc#1150856)
- 4.2.26
- Added Y2Packager::MediumType class for detecting the installation
medium type (related to jsc#SLE-7214)
- 4.2.25

==== yast2-schema ====
Version update (4.2.2 -> 4.2.3)

- Ignoring X-SuSE-YaST-AutoInstResourceAliases entries in desktop
files while evaluating resources (bsc#1144894).
- 4.2.3

==== yast2-security ====
Version update (4.2.1 -> 4.2.2)

- AY: Supporting user defined permission files like
"/etc/permissions.ultra". (bsc#1147173)
- 4.2.2

==== yast2-services-manager ====
Version update (4.2.4 -> 4.2.5)

- Set BaseTargets::GRAPHICAL and Target::GRAPHICAL if package "xdm"
will be installed (instead of xorg-x11-server) (bsc#1140735).
- 4.2.5

==== yast2-storage-ng ====
Version update (4.2.35 -> 4.2.40)

- Partitioner: allow creating encrypted swap with random
password (bsc#1088641).
- Partitioner: allow importing mount points from encrypted swap
with random password.
- Storage: fix an encryption type inconsistency (bsc#1151079).
- 4.2.40
- add warning if /boot is on a LUKS2 encrypted partition
- 4.2.39
- Partitioner: better handling of existing encryptions, including
the possibility of reusing them (related to jsc#SLE-7376).
- added translation for new EncryptionType::PLAIN (bsc#1088641)
- 4.2.38
- bind-mount /run from inst-sys to target system during install (bsc#1136463)
- 4.2.37
- Partitioner: display encryption type (related to jsc#SLE-7376).
- 4.2.36

==== yast2-trans ====
Version update (84.87.20190901.3784ecca69 -> 84.87.20190922.d5dcfb03ab)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sr yast2-trans-sv yast2-trans-ta
yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi yast2-trans-wa
yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20190922.d5dcfb03ab:
* Translated using Weblate (German)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Czech)
* Translated using Weblate (Japanese)
* Translated using Weblate (Japanese)
* New POT for text domain 'registration'.
* New POT for text domain 'packager'.
* New POT for text domain 'languages_db'.
* New POT for text domain 'installation'.
* New POT for text domain 'dns-server'.
* New POT for text domain 'country'.
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Japanese)
* Translated using Weblate (Dutch)
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* New POT for text domain 'storage'.
* New POT for text domain 'qt'.
* Translated using Weblate (Slovak)
* Translated using Weblate (German)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Czech)
* Translated using Weblate (Catalan)
* Translated using Weblate (Dutch)
* Translated using Weblate (Japanese)
* New POT for text domain 'storage'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
* Translated using Weblate (Catalan)
- Update to version 84.87.20190914.95e52b2a7e:
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Polish)
* Translated using Weblate (Polish)
* Translated using Weblate (Polish)
* Translated using Weblate (Albanian)
* Translated using Weblate (Danish)
* Translated using Weblate (Danish)
* Translated using Weblate (Polish)
* Translated using Weblate (Polish)
* Translated using Weblate (Danish)
* Translated using Weblate (Albanian)
* New POT for text domain 'network'.
* Translated using Weblate (Danish)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Catalan)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (German)
- Update to version 84.87.20190908.31319e7018:
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Albanian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Finnish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Dutch)
* Translated using Weblate (Albanian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Czech)
* New POT for text domain 'storage'.
* New POT for text domain 'security'.
* New POT for text domain 'storage'.

==== yast2-ycp-ui-bindings ====
Version update (4.1.0 -> 4.2.1)

- added example using scrollbar positions of RichText widget with
hyperlinks (bsc#1150498)
- 4.2.1
- added example using scrollbar positions of RichText widget
(bsc#1150498)
- 4.2.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages